;-----------------------------------------------------
;+
; NAME: ASF_READ_FILE_DES.PRO
; PURPOSE:
;        The purpose of this program is read data from the
;        file_descriptor record
; CALLING SEQUENCE:
;   asf_read_file_des, lf
; INPUT:
;    lf:    leader file structure
; OUTPUT:
;    lf:    updated leader file structure
; KEYWORDS:
;    /quiet   print no intermediate output
;    /help    get help
; MODIFICATION HISTORY:
;      2001 Mar 01 Frank Monaldo  
;      2009 Dec 31 Frank Monaldo. Converted to [ ] for variables.
;      2010 Jan 14 Frank Monaldo. Print help if no input
; Copyright (C) 2001, Johns Hopkins University/Applied 
; Physics Laboratory. This software may be used, copied, 
; or redistributed as long as it is not sold and this 
; copyright notice is reproduced on each copy made.  This
; routine is provided as is without any express or implied 
; warranties whatsoever.  
;-

pro asf_read_file_des, lf, help=help, quiet=quiet
		   
if keyword_set(help)  or (n_params(0) lt 1) then begin
  print, ' NAME: ASF_READ_FILE_DES.PRO
  print, ' PURPOSE:
  print, '        The purpose of this program is read data from the
  print, '        file_descriptor record
  print, ' CALLING SEQUENCE:
  print, '   asf_read_file_des, lf
  print, ' INPUT:
  print, '    lf:    leader file structure
  print, ' OUTPUT:
  print, '    lf:    updated leader file structure
  print, ' KEYWORDS:
  print, '    /quiet   print no intermediate output
  print, '    /help    get help
  return
endif
printflag=1

if keyword_set(quiet)   then printflag=0 
;
; Reading data from record
; 

lf.product_id=string(lf.file_descriptor_rec[48:63])
if printflag ne 0 then  begin
  print, ' '
  print, 'Output of asf_file_desc.pro'
  print, 'product_id (ASF), file_name (gatineau)     ',lf.product_id
  print, ' '
endif

end
