;-----------------------------------------------------
;+
; NAME: GAT_READ_FILE_DES.PRO
;
; PURPOSE:
;        The purpose of this program is read data from the
;        file_descriptor record
; CALLING SEQUENCE:
;
; gat_read_file_des, lf
;
; INPUT:
;    lf: lf.byte_array_rec= byte array from the file descriptor record
;
; MODIFICATION HISTORY:
;  1998 jul 21 Frank Monaldo  
;  2000 Oct 27 Nathaniel Winstead. Accomodated data structure lf
;  2010 Jun 14 Frank Monaldo. Print help on no input.
;  2010 Oct 12 Frank Monaldo.  Added SGX to mode not scansar
; Copyright (C) 1998-2010, Johns Hopkins University/Applied 
; Physics Laboratory. This software may be used, copied, 
; or redistributed as long as it is not sold and this 
; copyright notice is reproduced on each copy made.  This
; routine is provided as is without any express or implied 
; warranties whatsoever.  
;-

pro gat_read_file_des, lf, $
              help=help, quiet=quiet
		   
if keyword_set(help) or (n_params(0) lt 1 ) then begin
  print, '
  print, ' NAME: ASF_READ_FILE_DES.PRO
  print, '
  print, ' PURPOSE:
  print, '        The purpose of this program is read data from the
  print, '        file_descriptor record
  print, ' CALLING SEQUENCE:
  print, '
  print, ' gat_read_file_des, lf
  print, '
  print, ' INPUT:
  print, '    lf= lf.byte_array_rec: byte array from the file_descriptor_rec
  print, '
  print, '
  return
endif
printflag=1
if keyword_set(quiet)   then printflag=0 
;
; Reading data from record
; 
lf.product_id=string(lf.file_descriptor_rec(48:63))
if printflag ne 0 then  begin
  print, ' '
  print, 'Output of asf_file_desc.pro'
  print, 'product_id (ASF), file_name (gatineau)     ',lf.product_id
  print, ' '
endif
lf.scansar=1
mode= strupcase(strmid(getwrd(lf.product_id,3,del='-'),0,3))
if printflag then print, 'SAR mode='+mode
if mode eq 'SPG' then lf.scansar=0
if mode eq 'SGF' then lf.scansar=0
if mode eq 'SGX' then lf.scansar=0
end
